package com.xpo.ltl.api.client;

import java.lang.reflect.Field;

import javax.xml.bind.annotation.XmlElement;

import com.google.gson.FieldNamingStrategy;

public class XmlElementFieldNamingStrategy implements FieldNamingStrategy {

	@Override
	public String translateName(Field f) {
        XmlElement v_annotation = f.getAnnotation(XmlElement.class);
        return v_annotation != null ? 
        		(v_annotation.name().equals("##default")? f.getName() : v_annotation.name()) : f.getName();
	}

}
