package com.xpo.ltl.api.client.common;

import java.io.Serializable;
import java.util.HashMap;
import java.util.List;

import javax.xml.datatype.XMLGregorianCalendar;

public class Response<T> implements Serializable {

	private final static long serialVersionUID = 1L;
	protected String code;
	protected XMLGregorianCalendar transactionTimestamp;
	protected T data;
	protected List<T> listData;
	protected List<Attachment> attachment;
	protected List<HyperMedia> link;
	protected HashMap<String, String> headers;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public XMLGregorianCalendar getTransactionTimestamp() {
		return transactionTimestamp;
	}

	public void setTransactionTimestamp(XMLGregorianCalendar transactionTimestamp) {
		this.transactionTimestamp = transactionTimestamp;
	}

	public T getData() {
		return data;
	}

	public void setData(T data) {
		this.data = data;
	}

	public List<Attachment> getAttachment() {
		return attachment;
	}

	public void setAttachment(List<Attachment> attachment) {
		this.attachment = attachment;
	}

	public List<HyperMedia> getLink() {
		return link;
	}

	public void setLink(List<HyperMedia> link) {
		this.link = link;
	}

	public HashMap<String, String> getHeaders() {
		return headers;
	}

	public void setHeaders(HashMap<String, String> headers) {
		this.headers = headers;
	}

	public List<T> getListData() {
		return listData;
	}

	public void setListData(List<T> listData) {
		this.listData = listData;
	}
}
